<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="shortcut icon" href="{{url_for('static',filename='sync_icon.png')}}">
    <script type="text/javascript" src="{{url_for('static',filename='js/jquery-3.7.1.min.js')}}"></script>

    <title>AutoSync - Export Solutions</title>

    <!-- Bootstrap core CSS -->
    <!-- Bootstrap core CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz"
            crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.8/dist/umd/popper.min.js"
            integrity="sha384-I7E8VVD/ismYTF4hNIPjVp/Zjvgyol6VFvRkX/vR+Vc4jQkC+hVqc2pM8ODewa9r"
            crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.min.js"
            integrity="sha384-0pUGZvbkm6XF6gxjEnlmuGrJXVbNuzT9qBBavbLwCsOGabYfZo0T0to5eqruptLy"
            crossorigin="anonymous"></script>

    <!-- Custom styles for this template -->
    <style type="text/css">
        /* Move down content because we have a fixed navbar that is 50px tall */
        body {
          padding-top: 50px;
          padding-bottom: 20px;
        }
    </style>
</head>

<body>
{% include "header.html" %}
<div class="jumbotron">
    <div class="container">
        <center><h1>AutoSync - Export Solutions</h1></center>
        <p class="m-3 p-3 justify-content-center">When the current Graphene instance contains various pipeline which are
            not available on another Graphene instance, this mode will help you export those pipeline to a zip file.
            Later, this zip file can be used to onboard and publish pipelines on one or more target Graphene hosts. You
            may select one or more pipeline from the following multiselect input box, and press the `Download Pipelines`
            button.</p>
    </div>
</div>

<div class="container m-3">
    <!-- Example row of columns -->

    <div class="row">
        <div class="col-md-2"></div>
        <div class="col-md-8">
            <form action="/download_solutions" name="pipeline_selector" method="post">
                <div class="input-group">
                    <label for="pipelines">Choose a Pipeline: &nbsp;</label>
                    <select class="form-select" name="pipelines" multiple size="8">
                        {% for pipeline in pipelines %}
                        <option value="{{pipeline['solutionId']}}" name="{{pipeline['name']}}">{{pipeline['name']}}
                        </option>
                        {% endfor %}
                    </select>


                </div>
                <br><br>
                <center>
                    <button name="export_solutions" class="btn btn-success" data-bs-toggle="modal"
                            onclick="disable_modal_close()"
                            data-bs-target="#staticBackdrop" role="button">Download Pipelines &raquo;
                    </button>
                </center>
            </form>

        </div>
    </div>
</div>
{% include "modal.html" %}
{% include "footer.html" %}
</body>
</html>